%define prefix %{_prefix}
%define ver    0.9

Summary: A graphical front-end to RPM for GNOME.
Name: gnorpm
Version: %ver
Release: 3
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.daa.com.au/pub/james/gnome/gnorpm-%{ver}.tar.gz
Patch1: gnorpm-0.9-rpm3x.patch
Patch2: gnorpm-0.9-libbz2.patch
Patch3: gnorpm-%{ver}-lintl.patch
Patch4: gnorpm-%{ver}-aixlocs.patch
Patch5: gnorpm-0.9-newkeys.patch
Patch6: gnorpm-0.9-rpm304.patch
Patch9: gnorpm-0.9-installcrash.patch

BuildRoot: /var/tmp/gnorpm-%{PACKAGE_VERSION}-root
Obsoletes: glint

# XXX Please add version requirements to the build prereqs if you know them ...
BuildPrereq: rpm-devel
BuildPrereq: zlib-devel >= 1.0.4
BuildPrereq: bzip2 >= 0.9.5c
BuildPrereq: libxml-devel
BuildPrereq: gtk+-devel
BuildPrereq: gnome-libs-devel
BuildPrereq: glib-devel
BuildPrereq: libghttp-devel
BuildPrereq: imlib-devel

%description
Gnome-RPM is a graphical front-end to to the RPM Package Manager
(RPM). Gnome-RPM is similar to Glint, but is written using the GTK+
widget set and the GNOME libraries.  Gnome-RPM is currently in
development, so some features are missing, but you can currently
query, install, upgrade, uninstall and verify packages using a GUI
interface.

%prep
%setup -q -n gnorpm-%{ver}
%patch1 -p 1 -b .rpm3x
%patch2 -p 1 -b .libbz2
%patch3 -p 1 -b .lintl
%patch4 -p 1 -b .extralocs
%patch5 -p 1 -b .newkeys
%patch6 -p 1 -b .rpm304
%patch9 -p 1 -b .installcrash


%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

autoconf
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,-brtl" ./configure --prefix=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/gnorpm

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_prefix}/bin/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/gnorpm
/usr/bin/gnorpm
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/help/gnorpm/C/*
%{prefix}/lib/locale/*/LC_MESSAGES/gnorpm.mo
%config %{prefix}/share/gnorpmrc
%config %{prefix}/share/gnorpmrc.*
%config %{prefix}/share/mime-info/gnorpm.keys
#%{prefix}/share/pixmaps/defpackage.gif
%doc AUTHORS NEWS README

%changelog
* Sun Mar 18 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Mar 06 2000 Owen Taylor <otaylor@redhat.com>
- Fix bug causing install dialog to crash when no packages available

* Fri Feb 04 2000 Jonathan Blandford <jrb@redhat.com>
- Make gnorpm-auth -Uvh be the default action for dbl-click

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 21 2000 Jeff Johnson <jbj@redhat.com>
- use gnorpm-auth in desktop config.

* Wed Dec 15 1999 Jeff Johnson <jbj@redhat.com>
- Patch for rpm-3.0.4 compatibility (preliminary).
- Patch to fix missing return seg-fault (Owen Taylor).

* Thu Sep 30 1999 Jonathan Blandford <jrb@redhat.com>
- Add gnorpm-auth to the .keys file for gmc.

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added requirement for latest usermode

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Added extra cdrom directories for powertools to directory list

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added uid patch so that it works right when run via consolehelper

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- gnorpm-auth consolehelper setup
- add -lbz2 to LDFLAGS.

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
